Summary: Automates PGP encryption and decryption
Name: pgpsendmail
Version: 1.4
Release: 1
Copyright: GPL
Group: Daemons
Source0: ftp://ftp.atnf.csiro.au/pub/people/rgooch/PGPsendmail-v1.4.tar.gz
Source1: pgpsendmail-profile
Packager: B.Candler@pobox.com
Patch0: pgpsendmail-1.4-patch
Buildroot: /tmp/pgpsendmail-buildroot

%description
Wrapper for /usr/sbin/sendmail which automatically encrypts outgoing mail if
the recipients of the message are on your public keyring; and a companion
daemon which can automatically decrypt incoming mail from your maildrop, and
also sign outgoing mail if desired.

Each user who wants to take advantage of this must at least set PGPPATH to
point to their .pgp directory, for example in ~/.bash_profile. See
/usr/doc/pgpsendmail*/bash_profile for an example which enables both
pgpsendmail and pgpdaemon, and see the README files in this directory for
information on config files.

Note: pine users must put the following in /usr/lib/pine.conf:
sendmail-path=/usr/sbin/sendmail -oem -oi -t

%prep
%setup -n pgpsendmail
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
install -m755 pgpsendmail $RPM_BUILD_ROOT/usr/sbin
install -m755 pgpdaemon $RPM_BUILD_ROOT/usr/bin
install -m755 sendpgppass $RPM_BUILD_ROOT/usr/bin
install -m755 pgppipe $RPM_BUILD_ROOT/usr/bin
install -m644 doc/pgppipe.1 $RPM_BUILD_ROOT/usr/man/man1
install -m644 doc/sendpgppass.1 $RPM_BUILD_ROOT/usr/man/man1
install -m644 doc/pgpdaemon.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 doc/pgpsendmail.8 $RPM_BUILD_ROOT/usr/man/man8
cp -a $RPM_SOURCE_DIR/pgpsendmail-profile $RPM_BUILD_DIR/pgpsendmail/bash_profile

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/sbin/sendmail.real ]; then
  echo "/usr/sbin/sendmail.real exists already - not changing"
elif [ -f /usr/sbin/sendmail ]; then
  echo "Moving /usr/sbin/sendmail to /usr/sbin/sendmail.real"
  mv /usr/sbin/sendmail /usr/sbin/sendmail.real
  ln -s pgpsendmail /usr/sbin/sendmail
fi

%preun
if [ -f /usr/sbin/sendmail.real -a -L /usr/sbin/sendmail ]; then
  mv -f /usr/sbin/sendmail.real /usr/sbin/sendmail
else
  echo "Unable to move /usr/sbin/sendmail.real back into place!"
fi

%files
%doc README
%doc doc/COPYING*
%doc doc/CREDITS
%doc doc/README.*
%doc bash_profile
# build roots are your friend
/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
/usr/man/man8/*
